<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.aggregate-http-server-mechanism-factory" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="http-server-mechanism-factories"/>
        <elem name="addr-params" value="profile,host,subsystem,aggregate-http-server-mechanism-factory"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.http-server-mechanism-factory.$aggregate-http-server-mechanism-factory"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.http-server-mechanism-factory.$http-server-mechanism-factories"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="aggregate-http-server-mechanism-factory" feature-id="true"/>
        <param name="http-server-mechanism-factories" type="List&lt;String&gt;" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>